Package org.eclipse.net4j.util.container

# Class ContainerPersistence<E>

java.lang.Object
org.eclipse.net4j.util.container.ContainerPersistence<E>

All Implemented Interfaces:
  `IContainer.Persistence<E>`

Direct Known Subclasses:
  `FileContainerPersistence`

public abstract class ContainerPersistence<E> extends Object implements IContainer.Persistence<E>

Since:
  3.5
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ContainerPersistence()`

## Method Summary

Modifier and Type
Method
Description
`Collection<E>`
`loadElements()`
`protected abstract InputStream`
`openInputStream()`
`protected abstract OutputStream`
`openOutputStream()`
`void`
`saveElements(Collection<E> elements)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContainerPersistence

public ContainerPersistence()

## Method Details

### loadElements

public Collection<E> loadElements() throws IORuntimeException

Specified by:
  `loadElements` in interface `IContainer.Persistence<E>`
Throws:
  `IORuntimeException`

### saveElements

public void saveElements(Collection<E> elements) throws IORuntimeException

Specified by:
  `saveElements` in interface `IContainer.Persistence<E>`
Throws:
  `IORuntimeException`

### openInputStream

protected abstract InputStream openInputStream() throws IOException

Throws:
  `IOException`

### openOutputStream

protected abstract OutputStream openOutputStream() throws IOException

Throws:
  `IOException`